Ask Your Question
0

How to updating certain ROS2 package

asked 2019-11-27 03:07:14 -0600

Dear all:

Currently Ros2 have released the new version which is called Eloquent Elusor.

I found that some packages have updated likes RVIZ and I want to use it at old version which is Dashing.

How should I only update some certain package such as only update RVIZ?

Thank you

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-11-27 12:13:46 -0600

Dirk Thomas gravatar image

If you want to use Dashing all you need to do is following the Dashing specific instructions: https://index.ros.org/doc/ros2/Instal...

How should I only update some certain package such as only update RVIZ?

If you are asking how to use a newer version of rviz (e.g. the Eloquent one) with Dashing then the answer is: don't.

There is no guarantee that this will work. Often new ROS distributions come with changes / additions and if rviz in Eloquent has been updated for them it won't work with Dashing anymore.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-11-27 03:07:14 -0600

Seen: 57 times

Last updated: Nov 27